2018-08-19 20:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002920OpenFOAMPatchpublic2018-05-07 14:21
Reporterwyldckat 
Assigned Tohenry 
PrioritylowSeveritytextReproducibilityN/A
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002920: Update for the 'Class' entries in the folder "src/regionModels/surfaceFilmModels/submodels", which are incomplete at the moment
DescriptionWhile trying to look for an 'fvOption' that would handle heat exchange, I ran into the class "constantHeatTransfer" and had considerable difficulty pinpointing the correct entry at cpp.openfoam.org, because 3 entries would appear:

 - One for fvOption
 - and the two others are for the same file "src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/constantHeatTransfer/constantHeatTransfer.H", but since the 'Class' definition in the header did not match the actual namespace, it was split into two entries in the Doxygen-generated pages.


This lead me to remember the report #2692, where something similar had already been spotted. However, it was diagnosed that it was not possible to have a script that would always accurately correct the 'Class' entry in the header files, given that Bash'ish scripting was being used.



Anyway, attached are the following files:

 - "classFix.sh" - this is a script that is using only part of the script code from "headerFix.v3.sh" in issue #2692. If placed in the "$WM_PROJECT_DIR" path, it can be used manually to repair header files, by either running:

     $WM_PROJECT_DIR/classFix.sh $PWD

   for running from the path where we want to try and fix things... or simply run from "$WM_PROJECT_DIR":

     ./classFix.sh src/regionModels/surfaceFilmModels/submodels

   for fixing the header files that are also in attachment.


 - "class_fixes_regionModels_surfaceFilmModels_submodels.patch" - the patch file that shows the changes made - fixed 'Class' entries and updated the Copyright year - which were made with the attached script "src/regionModels/surfaceFilmModels/submodels" + OpenFOAM's pre-commit git hook.


 - "class_fixes_regionModels_surfaceFilmModels_submodels.tar.gz" - with the actual modified files:

      src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/constantFilmThermo/constantFilmThermo.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/filmThermoModel/filmThermoModel.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/liquidFilmThermo/liquidFilmThermo.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/force/forceList/forceList.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/force/thermocapillaryForce/thermocapillaryForce.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/curvatureSeparation/curvatureSeparation.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/injectionModelList/injectionModelList.H
      src/regionModels/surfaceFilmModels/submodels/kinematic/transferModels/transferModelList/transferModelList.H
      src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/constantRadiation/constantRadiation.H
      src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/filmRadiationModel/filmRadiationModel.H
      src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/noRadiation/noRadiation.H
      src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/primaryRadiation/primaryRadiation.H
      src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/standardRadiation/standardRadiation.H
      src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/constantHeatTransfer/constantHeatTransfer.H
      src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/heatTransferModel/heatTransferModel.H
      src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/mappedConvectiveHeatTransfer/mappedConvectiveHeatTransfer.H
      src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/noPhaseChange/noPhaseChange.H
      src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/phaseChangeModel/phaseChangeModel.H
      src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/solidification/solidification.H
      src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/standardPhaseChange/standardPhaseChange.H
      src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/waxSolventEvaporation/waxSolventEvaporation.H
Additional InformationI haven't provided a 'pre-commit' hook as well, based on the code in 'classFix.sh', given that it's not accurate enough to always do the right thing. Namely, if there are several "namespace" lines in the header file, the script will simply mangle them all into a single line...
TagsNo tags attached.
Attached Files
  • ? file icon classFix.sh (1,183 bytes) 2018-05-06 23:31
  • patch file icon class_fixes_regionModels_surfaceFilmModels_submodels.patch (26,532 bytes) 2018-05-06 23:31 -
    diff --git a/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H b/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H
    index 842de5b..4c35407 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::subModelBase
    +    Foam::regionModels::surfaceFilmModels::filmSubModelBase
     
     Description
         Base class for surface film sub-models
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/constantFilmThermo/constantFilmThermo.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/constantFilmThermo/constantFilmThermo.H
    index 1fb5bc7..29e4591 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/constantFilmThermo/constantFilmThermo.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/constantFilmThermo/constantFilmThermo.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2013-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2013-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::constantFilmThermo
    +    Foam::regionModels::surfaceFilmModels::constantFilmThermo
     
     Description
         Constant thermo model
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/filmThermoModel/filmThermoModel.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/filmThermoModel/filmThermoModel.H
    index febbc90..718f0b2 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/filmThermoModel/filmThermoModel.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/filmThermoModel/filmThermoModel.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2013-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2013-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::filmThermoModel
    +    Foam::regionModels::surfaceFilmModels::filmThermoModel
     
     Description
         Base class for film thermo models
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/liquidFilmThermo/liquidFilmThermo.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/liquidFilmThermo/liquidFilmThermo.H
    index 770cf2d..4a8c867 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/liquidFilmThermo/liquidFilmThermo.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/filmThermoModel/liquidFilmThermo/liquidFilmThermo.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2013-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2013-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::liquidFilmThermo
    +    Foam::regionModels::surfaceFilmModels::liquidFilmThermo
     
     Description
         Liquid thermo model
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/force/forceList/forceList.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/force/forceList/forceList.H
    index 4beb4c4..7ba4be4 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/force/forceList/forceList.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/force/forceList/forceList.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::forceList
    +    Foam::regionModels::surfaceFilmModels::forceList
     
     Description
         List container for film sources
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/force/thermocapillaryForce/thermocapillaryForce.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/force/thermocapillaryForce/thermocapillaryForce.H
    index bd2eadc..af602c1 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/force/thermocapillaryForce/thermocapillaryForce.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/force/thermocapillaryForce/thermocapillaryForce.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::thermocapillaryForce
    +    Foam::regionModels::surfaceFilmModels::thermocapillaryForce
     
     Description
         Thermocapillary force
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H
    index ee809d8..623b9f9 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::BrunDrippingInjection
    +    Foam::regionModels::surfaceFilmModels::BrunDrippingInjection
     
     Description
         Film Dripping mass transfer model.
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/curvatureSeparation/curvatureSeparation.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/curvatureSeparation/curvatureSeparation.H
    index 8cae61b..508363b 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/curvatureSeparation/curvatureSeparation.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/curvatureSeparation/curvatureSeparation.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::curvatureSeparation
    +    Foam::regionModels::surfaceFilmModels::curvatureSeparation
     
     Description
         Curvature film separation model
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H
    index 1623900..727375b 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::drippingInjection
    +    Foam::regionModels::surfaceFilmModels::drippingInjection
     
     Description
         Film Dripping mass transfer model.
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/injectionModelList/injectionModelList.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/injectionModelList/injectionModelList.H
    index 0c865b3..ee65c3b 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/injectionModelList/injectionModelList.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/injectionModelList/injectionModelList.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::injectionModelList
    +    Foam::regionModels::surfaceFilmModels::injectionModelList
     
     Description
         List container for film injection models
    diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/transferModels/transferModelList/transferModelList.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/transferModels/transferModelList/transferModelList.H
    index 9af147c..9b124eb 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/kinematic/transferModels/transferModelList/transferModelList.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/transferModels/transferModelList/transferModelList.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2017-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::transferModelList
    +    Foam::regionModels::surfaceFilmModels::transferModelList
     
     Description
         List container for film transfer models
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/constantRadiation/constantRadiation.H b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/constantRadiation/constantRadiation.H
    index febc176..46704e6 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/constantRadiation/constantRadiation.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/constantRadiation/constantRadiation.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2012-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2012-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::constantRadiation
    +    Foam::regionModels::surfaceFilmModels::constantRadiation
     
     Description
         Film constant radiation model.  The constant radiative flux is specified
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/filmRadiationModel/filmRadiationModel.H b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/filmRadiationModel/filmRadiationModel.H
    index f65067c..18a1228 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/filmRadiationModel/filmRadiationModel.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/filmRadiationModel/filmRadiationModel.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::filmRadiationModel
    +    Foam::regionModels::surfaceFilmModels::filmRadiationModel
     
     Description
         Base class for film radiation models
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/noRadiation/noRadiation.H b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/noRadiation/noRadiation.H
    index 35f094a..be4e0db 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/noRadiation/noRadiation.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/noRadiation/noRadiation.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::noRadiation
    +    Foam::regionModels::surfaceFilmModels::noRadiation
     
     Description
         Dummy radiation model for 'none' option
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/primaryRadiation/primaryRadiation.H b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/primaryRadiation/primaryRadiation.H
    index 0836c4c..6041262 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/primaryRadiation/primaryRadiation.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/primaryRadiation/primaryRadiation.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2012-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2012-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::primaryRadiation
    +    Foam::regionModels::surfaceFilmModels::primaryRadiation
     
     Description
         Radiation model whereby the radiative heat flux is mapped from the primary
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/standardRadiation/standardRadiation.H b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/standardRadiation/standardRadiation.H
    index ae07862..6b6aa50 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/standardRadiation/standardRadiation.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/filmRadiationModel/standardRadiation/standardRadiation.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::standardRadiation
    +    Foam::regionModels::surfaceFilmModels::standardRadiation
     
     Description
         Standard radiation model
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/constantHeatTransfer/constantHeatTransfer.H b/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/constantHeatTransfer/constantHeatTransfer.H
    index 95e4b0e..5541b08 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/constantHeatTransfer/constantHeatTransfer.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/constantHeatTransfer/constantHeatTransfer.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::constantHeatTransfer
    +    Foam::regionModels::surfaceFilmModels::constantHeatTransfer
     
     Description
         Constant heat transfer model
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/heatTransferModel/heatTransferModel.H b/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/heatTransferModel/heatTransferModel.H
    index d4e76a6..cd4b3d8 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/heatTransferModel/heatTransferModel.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/heatTransferModel/heatTransferModel.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::heatTransferModel
    +    Foam::regionModels::surfaceFilmModels::heatTransferModel
     
     Description
         Base class for film heat transfer models
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/mappedConvectiveHeatTransfer/mappedConvectiveHeatTransfer.H b/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/mappedConvectiveHeatTransfer/mappedConvectiveHeatTransfer.H
    index 2a1384d..a412553 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/mappedConvectiveHeatTransfer/mappedConvectiveHeatTransfer.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/heatTransferModel/mappedConvectiveHeatTransfer/mappedConvectiveHeatTransfer.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::mappedConvectiveHeatTransfer
    +    Foam::regionModels::surfaceFilmModels::mappedConvectiveHeatTransfer
     
     Description
         Convective heat transfer model based on a re-working of a Nusselt number
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/noPhaseChange/noPhaseChange.H b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/noPhaseChange/noPhaseChange.H
    index 9164b79..1ea7016 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/noPhaseChange/noPhaseChange.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/noPhaseChange/noPhaseChange.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::noPhaseChange
    +    Foam::regionModels::surfaceFilmModels::noPhaseChange
     
     Description
         Dummy phase change model for 'none'
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/phaseChangeModel/phaseChangeModel.H b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/phaseChangeModel/phaseChangeModel.H
    index c765987..cd9802c 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/phaseChangeModel/phaseChangeModel.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/phaseChangeModel/phaseChangeModel.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::phaseChangeModel
    +    Foam::regionModels::surfaceFilmModels::phaseChangeModel
     
     Description
         Base class for surface film phase change models
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/solidification/solidification.H b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/solidification/solidification.H
    index 11c73d1..615eafc 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/solidification/solidification.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/solidification/solidification.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2013-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2013-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::solidification
    +    Foam::regionModels::surfaceFilmModels::solidification
     
     Description
         Solidification phase change model where all film mass is converted when the
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/standardPhaseChange/standardPhaseChange.H b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/standardPhaseChange/standardPhaseChange.H
    index 8c95ed5..c78809f 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/standardPhaseChange/standardPhaseChange.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/standardPhaseChange/standardPhaseChange.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2011-2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2011-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::standardPhaseChange
    +    Foam::regionModels::surfaceFilmModels::standardPhaseChange
     
     Description
         Standard phase change model with modification for boiling
    diff --git a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/waxSolventEvaporation/waxSolventEvaporation.H b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/waxSolventEvaporation/waxSolventEvaporation.H
    index 94d1a57..e855e13 100644
    --- a/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/waxSolventEvaporation/waxSolventEvaporation.H
    +++ b/src/regionModels/surfaceFilmModels/submodels/thermo/phaseChangeModel/waxSolventEvaporation/waxSolventEvaporation.H
    @@ -2,7 +2,7 @@
       =========                 |
       \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
        \\    /   O peration     |
    -    \\  /    A nd           | Copyright (C) 2017 OpenFOAM Foundation
    +    \\  /    A nd           | Copyright (C) 2017-2018 OpenFOAM Foundation
          \\/     M anipulation  |
     -------------------------------------------------------------------------------
     License
    @@ -22,7 +22,7 @@ License
         along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
     
     Class
    -    Foam::waxSolventEvaporation
    +    Foam::regionModels::surfaceFilmModels::waxSolventEvaporation
     
     Description
         Wax solvent mixture evaporation model.
    
  • gz file icon class_fixes_regionModels_surfaceFilmModels_submodels.tar.gz (9,105 bytes) 2018-05-06 23:31

-Relationships
related to 0002692resolvedhenry Scripting for avoiding mismatches between header files and their macro bounds 
+Relationships

-Notes

~0009545

wyldckat (updater)

I wasn't perfectly clear on what is the bug/typo and subsequent fix, here is a quick excerpt:

 Class
- Foam::constantHeatTransfer
+ Foam::regionModels::surfaceFilmModels::constantHeatTransfer

~0009547

henry (manager)

Thanks Bruno, I have applied the patch:
commit 4ba4613eca679676c0f7ff68fd33ba47810ae884
and now running the script you provided to see what it turns-up

~0009548

henry (manager)

I ran classFix.sh on the whole code-base and it worked ~80% reliably, particularly well on the application-specific libraries. I am sorting out the errors and will push the corrections.

~0009549

henry (manager)

Resolved by commit 4ba4613eca679676c0f7ff68fd33ba47810ae884
and commit c3be52bcd6261747bb6c7141017ee5c0fc84c7d4
+Notes

-Issue History
Date Modified Username Field Change
2018-05-06 23:31 wyldckat New Issue
2018-05-06 23:31 wyldckat Status new => assigned
2018-05-06 23:31 wyldckat Assigned To => henry
2018-05-06 23:31 wyldckat File Added: classFix.sh
2018-05-06 23:31 wyldckat Relationship added related to 0002692
2018-05-06 23:31 wyldckat File Added: class_fixes_regionModels_surfaceFilmModels_submodels.patch
2018-05-06 23:31 wyldckat File Added: class_fixes_regionModels_surfaceFilmModels_submodels.tar.gz
2018-05-06 23:32 wyldckat Note Added: 0009545
2018-05-07 13:46 henry Note Added: 0009547
2018-05-07 14:03 henry Note Added: 0009548
2018-05-07 14:21 henry Status assigned => resolved
2018-05-07 14:21 henry Resolution open => fixed
2018-05-07 14:21 henry Fixed in Version => dev
2018-05-07 14:21 henry Note Added: 0009549
+Issue History